Summary:	Permit to easily upload photos to your Flickr.com account
Name:		kflickr
Version:	20100817
Release:	%mkrel 3
Group:		Graphical desktop/KDE4
License:	GPLv2+
URL:		http://kflickr.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.xz
Patch0:		kflickr-20081222-drop-invalid-de.patch
BuildRequires:  kdelibs4-devel
Requires:	qt4-database-plugin-sqlite
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
KFlickr is a standalone KDE application that allows 
for easy upload of your favourite photos to your Flickr.com account

%prep
%setup -q
%patch0 -p0

%build
%cmake_kde4
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop



%find_lang %name

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root,-)
%_kde_bindir/*
%_kde_applicationsdir/*.desktop
%_kde_appsdir/%name
%_kde_iconsdir/hicolor/*/apps/*


%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 20100817-2pclos2010
- rebuild for 4.5.1

* Thu Aug 19 2010 Texstar <texstar at gmail.com> 20100817-1pclos2010
- 20100817

* Wed May 19 2010 Texstar <texstar at gmail.com> 20081222-1pclos2010
- import into pclos

